--   a) version schema.
-- 
--   ...schema creation script...
--
--   ************************************************************
--   * WARNING - Existing Tables will be dropped
--   *           There is no rollback/recovery for dropped tables
--   ************************************************************
-- 
--   To run this script, perform the following steps:
--   $ cd /opt/SUNWn1sps/N1_Service_Provisioning_System_4.1/server/postgres/bin
--   $ ./psql -p 5433 -d rox
--   rox-# \i <pathname>/hd_job_schema.sql
--   
--   Date     Edited By            Change Description
--   09/19/05 Jon Hirota           Initial Cut.

-- This table is used to track versions of various components' schemas.
-- Currently it is used only for the services tier.  Each component
-- will use a well-known component name.
DROP TABLE HD_COMPONENT_SCHEMA_VERSION;
CREATE TABLE HD_COMPONENT_SCHEMA_VERSION (
  COMPONENT    VARCHAR(56) NOT NULL,
  VERSION      VARCHAR(56) NOT NULL,
  CONSTRAINT   PK_COMPONENT_SCHEMA_VERSION PRIMARY KEY (COMPONENT)
);

INSERT INTO HD_COMPONENT_SCHEMA_VERSION (COMPONENT,VERSION) VALUES ('services','1.2');

-- Describe the Tables created
\d    HD_COMPONENT_SCHEMA_VERSION; 

